본문으로 건너뛰기
Twexapi
한국어
Esc
이동열기⌘J미리보기

차단 해제

차단 해제.

DELETE/twitter/user/block
API 인증
AuthorizationBearer token · header필수
TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
요청 본문
필수application/json
usernamestring필수
The username of the user to block.
cookiestring필수
사용자가 직접 승인한 Twitter 세션 자격 증명 또는 auth_token (BYOC — Bring Your Own Cookie). 자격 증명은 저장되지 않으며 무상태 프록시로만 실행됩니다. 자세한 내용은 [인증 및 보안 안내](/ko/authentication#write-operations--byoc-bring-your-own-cookie) 및 [쿠키 확인 방법](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie)을 참조하세요.
응답
200A confirmation of the action's success.
codeinteger
HTTP 상태 코드 (200은 성공)
default: 200
msgstring
응답 메시지 (예: 'success')
default: "success"
dataUserModel | any
엔드포인트가 반환한 핵심 데이터
속성 표시
Any of:
UserModel
idstring필수
User ID
namestring필수
사용자 이름
screen_namestring필수
트위터 사용자명 (@ 제외)
created_atstring | any
작성 일시 (UTC 기준)
속성 표시
Any of:
string
string
any
any
created_at_datetimestring | any
Account creation datetime in ISO format
속성 표시
Any of:
string
string
any
any
can_dmboolean | any
Whether the user can be direct messaged
default: false
속성 표시
Any of:
boolean
boolean
any
any
can_media_tagboolean | any
Whether the user can be tagged in media
default: false
속성 표시
Any of:
boolean
boolean
any
any
default_profileboolean | any
Whether the user has a default profile
default: false
속성 표시
Any of:
boolean
boolean
any
any
default_profile_imageboolean | any
Whether the user has a default profile image
default: false
속성 표시
Any of:
boolean
boolean
any
any
descriptionstring | any
프로필 자기소개 (Bio)
default: ""
속성 표시
Any of:
string
string
any
any
description_urlsstring[]
List of URLs found in the user's description
default: []
urlsurlModel[] | any
List of URLs found in the user's profile
속성 표시
Any of:
urlModel[]
Array of urlModel
urlstring필수
URL
expanded_urlstring | any
Expanded URL
속성 표시
Any of:
string
string
any
any
display_urlstring | any
Display URL
속성 표시
Any of:
string
string
any
any
any
any
fast_followers_countinteger | any
Count of fast followers
default: 0
속성 표시
Any of:
integer
integer
any
any
favourites_countinteger | any
Number of tweets the user has liked
default: 0
속성 표시
Any of:
integer
integer
any
any
followers_countinteger | any
총 팔로워 수
default: 0
속성 표시
Any of:
integer
integer
any
any
following_countinteger | any
총 팔로잉 수
default: 0
속성 표시
Any of:
integer
integer
any
any
has_custom_timelinesboolean | any
Whether the user has custom timelines
default: false
속성 표시
Any of:
boolean
boolean
any
any
is_blue_verifiedboolean | any
Blue verification status
default: false
속성 표시
Any of:
boolean
boolean
any
any
verified_typestring | any
Verification badge type when not blue-only: blue, business, government, etc.
속성 표시
Any of:
string
string
any
any
is_verifiedboolean | any
True if the account has any verification badge (blue, business, government, or legacy verified)
default: false
속성 표시
Any of:
boolean
boolean
any
any
profile_image_shapestring | any
Profile image shape (Circle or Square; Square often indicates business/government)
속성 표시
Any of:
string
string
any
any
is_translatorboolean | any
Whether the user is a translator
default: false
속성 표시
Any of:
boolean
boolean
any
any
listed_countinteger | any
Number of public lists the user is a member of
default: 0
속성 표시
Any of:
integer
integer
any
any
locationstring | any
User's location
default: ""
속성 표시
Any of:
string
string
any
any
media_countinteger | any
Number of media tweets posted by the user
default: 0
속성 표시
Any of:
integer
integer
any
any
normal_followers_countinteger | any
Count of normal followers
default: 0
속성 표시
Any of:
integer
integer
any
any
pinned_tweet_idsstring[]
List of pinned tweet IDs
default: []
possibly_sensitiveboolean | any
Whether the user's profile may contain sensitive content
default: false
속성 표시
Any of:
boolean
boolean
any
any
profile_banner_urlstring | any
URL of the user's profile banner
속성 표시
Any of:
string
string
any
any
profile_image_urlstring | any
URL of the user's profile image
속성 표시
Any of:
string
string
any
any
protectedboolean | any
Whether the user's tweets are protected
default: false
속성 표시
Any of:
boolean
boolean
any
any
statuses_countinteger | any
Number of tweets posted by the user
default: 0
속성 표시
Any of:
integer
integer
any
any
any
any
422요청 매개변수 유효성 검사 오류
detailValidationError[]
속성 표시
Array of ValidationError
locstring | integer[]필수
속성 표시
Array of string | integer
Any of:
string
string
integer
integer
msgstring필수
응답 메시지 (예: 'success')
typestring필수
inputany
ctxobject
대화형 콘솔DELETE
대화형 콘솔 / API 테스트DELETE
Live Console
🌐대상 서버:https://api.twexapi.io
● 프로덕션 준비 완료
✍️
쓰기 작업 인증 정보 가이드 (TwexAPI 키 + Twitter 쿠키)

1. TwexAPI 플랫폼 키 (Bearer Token): 요청 과금 및 인증을 위해 아래 "API 인증"에 입력하세요.

2. Twitter 계정 쿠키: 트윗, 좋아요, 팔로우 등 쓰기 작업을 위해 아래 요청 본문의 cookie 필드에 쿠키(예: auth_token=...; ct0=...)를 입력하세요.

🔑API 인증
📝요청 본문application/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

요청 예시
curl -X DELETE "https://api.twexapi.io/twitter/user/block" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "username": "string",
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
}'
응답 예시
{
  "code": 200,
  "msg": "success",
  "data": {
    "id": "1717001045992251392",
    "name": "Cryptoklepto",
    "screen_name": "CK_Cryptoklepto",
    "created_at": "Mon Oct 28 02:32:47 +0000 2024",
    "created_at_datetime": "2024-10-28T02:32:47.000Z",
    "can_dm": false,
    "can_media_tag": false,
    "default_profile": false,
    "default_profile_image": false,
    "description": "",
    "description_urls": [],
    "urls": [
      {
        "url": "https://www.google.com",
        "expanded_url": "https://www.google.com",
        "display_url": "www.google.com"
      }
    ],
    "fast_followers_count": 0,
    "favourites_count": 0,
    "followers_count": 0,
    "following_count": 0,
    "has_custom_timelines": false,
    "is_blue_verified": false,
    "verified_type": "government",
    "is_verified": false,
    "profile_image_shape": "Circle",
    "is_translator": false,
    "listed_count": 0,
    "location": "New York, USA",
    "media_count": 0,
    "normal_followers_count": 0,
    "pinned_tweet_ids": [],
    "possibly_sensitive": false,
    "profile_banner_url": "string",
    "profile_image_url": "string",
    "protected": false,
    "statuses_count": 0
  }
}